
# cacerts

Builds & deploys cacerts configmap with CA certs in PEM and/or JKS format.

Intended to be shared within namespace.

Optionally, generated configmap can be replicated to other namespaces using kubernetes-replicator operator.

CA certs database/keystore is build using standard ca-certificates linux tools and workflow.
Standard CA certs provided by OS (`build.image`) are reset by default to save space (use `build.reset=false` to disable).

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| file://../utils | utils | * |
## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| annotations | object | `{}` | annotations for generated config map |
| build.image | string | `"openjdk:19-alpine"` |  |
| build.reset | bool | `true` | cleanup default cacerts found in image; use only cacerts provided in configuration with reset=false, resulting configmap is ~500kB big, hence reset is enabled by default |
| certs | object | `{}` |  |
| configMapName | string | `nil` |  |
| deploy.image | string | `"bitnami/kubectl"` |  |
| deploy.jks | bool | `true` | todo |
| deploy.pem | bool | `true` | todo |
| fullnameOverride | string | `nil` |  |
| helm.hook | string | `"pre-install,pre-upgrade"` |  |
| helm.hookDeletePolicy | string | `"before-hook-creation,hook-succeeded"` |  |
| helm.hookWeight | int | `100` |  |
| nameOverride | string | `nil` |  |
| serviceAccountName | string | `nil` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.12.0](https://github.com/norwoodj/helm-docs/releases/v1.12.0)